#!/usr/bin/env sh
# Copyright (C) 2020  Leipzig University Library
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# @author  Sebastian Kehr <kehr@ub.uni-leipzig.de>
# @license https://opensource.org/licenses/GPL-3.0 GNU GPLv3

until ! ping -c1 env >/dev/null 2>&1; do :; done
set -a; [ -f ./data/docker/env/autoconfig ] && . ./data/docker/env/autoconfig; set +a

if [ "$(whoami)" = "node" ]; then
  [ -d "$HOME" ] || PREFIX=$HOME npm install -g @ubleipzig/autoconfig@2.3.2
  exec "$HOME/bin/autoconfig" "$@"
  exit
fi

: "${UIDGID:=$(stat -c '%u' .):$(stat -c '%g' .)}"
sed -i "s/$(id -u node):$(id -g node)/$UIDGID/" /etc/passwd
sh -c "exit 1"; while [ $? -eq 1 ]; do sleep 1; nc -zv "db:3306" >/dev/null 2>&1; done;
su -p -c "exec $0 $*" node

